CDPATH=

function langconfigure
{
	echo "AC_INIT(messages/Makefile.am)" > configure.in.in
	echo "AM_INIT_AUTOMAKE(kde-i18n-@MODULENAME@, @VERSION@)" >> configure.in.in
	echo "AM_CONFIG_HEADER(config.h)" >> configure.in.in
	echo "AC_SUBST(AUTODIRS)" >> configure.in.in
	echo "AM_KDE_WITH_NLS" >> configure.in.in
	echo "AC_CREATE_KFSSTND(default)" >> configure.in.in
	echo "KDE_SET_PREFIX" >> configure.in.in
	echo "AC_SUBST_KFSSTND" >> configure.in.in
	echo "AC_PROG_INSTALL" >> configure.in.in
	echo "AC_PROG_LN_S" >> configure.in.in
	/bin/sh ../scripts/admin/cvs.sh configure.files
	/bin/sh ../scripts/admin/cvs.sh configure.in
	rm -f configure.in.in
}

function langsubdir
{
	echo "#created by autogen.sh" > Makefile.am
	subdirs="messages"
	if test -f docs/Makefile.am; then
	  subdirs="docs $subdirs"
	fi
	if test -f data/Makefile.am; then
	   subdirs="data $subdirs"
        fi
	echo "SUBDIRS = $subdirs" >> Makefile.am
	echo "AUTOMAKE_OPTIONS = foreign" >> Makefile.am
	echo "" >> Makefile.am

	langconfigure

	admindir=../scripts/admin
	eval `$admindir/detect-autoconf.pl`
	$ACLOCAL $ACLOCALFLAGS
	$AUTOHEADER
	$AUTOMAKE
	AUTOMAKE_STRING=`$AUTOMAKE --version | head -n 1`
	case $AUTOMAKE_STRING in
	 *unsermake* ) :
	     echo "*** using UNSERMAKE"
	     ;;
	 *)
	     perl -w $admindir/am_edit --path=$admindir
	esac
	/bin/sh $admindir/cvs.sh configure
	touch stamp-h.in
}

subdirs="$@"
if test -z "$subdirs"; then
    if test -f inst-apps; then
	    subdirs=`cat inst-apps`
    else
	    subdirs=`cat subdirs`
    fi
fi

for dir in $subdirs; do 
	dirs=`find $dir/messages -type d | fgrep -v others | fgrep -v www.kde.org | fgrep -v .svn`
	for dir2 in $dirs; do 
	   if test ! -f $dir2/Makefile.am; then
	        echo "KDE_LANG = $dir" > $dir2/Makefile.am
		echo 'SUBDIRS = $(AUTODIRS)' >> $dir2/Makefile.am
		echo "POFILES = AUTO" >> $dir2/Makefile.am
	   fi
	done
	dirs=
	if test -d $dir/docs; then
	    dirs=`find $dir/docs -type d | fgrep -v templates | fgrep -v .svn`
	fi
	for dir2 in $dirs; do
	   if test ! -f $dir2/Makefile.am; then
	        echo "KDE_LANG = $dir" > $dir2/Makefile.am
		echo 'SUBDIRS = $(AUTODIRS)' >> $dir2/Makefile.am
		subdir=AUTO
		case "$dir2/Makefile.am" in
			$dir/docs/common/Makefile.am)
				;;
			*/common/Makefile.am)
				echo "subdirs named 'common' are disallowed - besides docs/common"
				exit 1
			        ;;	
			$dir/docs/kdebase/*/Makefile.am) \
				subdir=`echo $dir2 | sed -e "s#.*docs/[^/]*/##; s#/Makefile.am##"`
				case $subdir in
					visualdict|faq|userguide|quickstart|glossary)
						subdir=khelpcenter/$subdir
						;;
				esac
				;;
			$dir/docs/kdesdk/scripts/*/Makefile.am)
				subdir=`echo $dir2 | sed -e "s#.*docs/[^/]*/##; s#/Makefile.am##; s#scripts/##"`
				;;
			$dir/docs/*/*/*/Makefile.am)
				subdir=`echo $dir2 | sed -e "s#.*docs/[^/]*/##; s#/Makefile.am##"`
				case $subdir in kdelirc/*)
					subdir=AUTO
					;;
				esac
				;;
		esac
		echo "KDE_DOCS = $subdir" >> $dir2/Makefile.am
		echo "KDE_MANS = AUTO" >> $dir2/Makefile.am
	   fi
	done
	echo "*** Creating $dir/configure.in"
	cp scripts/admin/acinclude.m4.in $dir/acinclude.m4 || exit 1
	cp scripts/admin/install-sh $dir/install-sh || exit 1
	cp scripts/admin/missing $dir/missing || exit 1
	cp scripts/admin/mkinstalldirs $dir/mkinstalldirs || exit 1
	cd $dir || exit 1
	langsubdir
	cd ..
done


