if test -z "$LIST"; then 
  list=`find templates -name '*.pot' | sed -e 's#^templates/\(.*\)\.pot$#\1#'`
else 
  list=
  for i in $LIST; do 
    list="$list `find templates -name $i | sed -e 's#^templates/\(.*\)\.pot$#\1#'`"
  done 
  echo $list
fi
languages=
for i in *; do 
	if test -d $i/messages -o -d $i/docmessages; then
		languages="$languages $i"
	fi
done
for temp in $list; do 
  test -n "$VERBOSE" && echo merging $temp
  files=
  for subdir in $languages; do 
    file=$subdir/$temp.po
    test -f $file || continue
    if test ! -s $file; then
      echo "ERROR: $file is empty!"
    elif msgmerge --no-wrap -q -o $file $file templates/$temp.pot; then
      files="$files $file"
    else
      echo "ERROR: msgmerge failed for $file"
    fi
  done
  python ./scripts/msgsplit $files
done

